import { buildTx } from "../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgAuthorizeCircuitBreaker, MsgTripCircuitBreaker, MsgResetCircuitBreaker } from "./tx";
export const createAuthorizeCircuitBreaker = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgAuthorizeCircuitBreaker.typeUrl,
    encoders: toEncoders(MsgAuthorizeCircuitBreaker),
    converters: toConverters(MsgAuthorizeCircuitBreaker)
});
export const createTripCircuitBreaker = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgTripCircuitBreaker.typeUrl,
    encoders: toEncoders(MsgTripCircuitBreaker),
    converters: toConverters(MsgTripCircuitBreaker)
});
export const createResetCircuitBreaker = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgResetCircuitBreaker.typeUrl,
    encoders: toEncoders(MsgResetCircuitBreaker),
    converters: toConverters(MsgResetCircuitBreaker)
});
